# $Revision: 1.15 $, $Date: 2011/02/21 15:29:47 $
#
%include	/usr/lib/rpm/macros.mono
#
Summary:	.NET library for using D-BUS message bus
Summary(pl.UTF-8):	Biblioteka .NET do używania magistrali przesyłania komunikatów D-BUS
Name:		dotnet-dbus-sharp
Version:	0.7.0
Release:	2
Epoch:		1
License:	AFL v2.1 or GPL v2+
Group:		Libraries
Source0:	http://github.com/downloads/mono/dbus-sharp/dbus-sharp-%{version}.tar.gz
# Source0-md5:	1964fc341dcbaeda859c53cee295d042
Patch0:		dbus-monodir.patch
URL:		http://www.freedesktop.org/Software/DBusBindings
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 1.1.7
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	rpmbuild(monoautodeps)
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
.NET library for using D-BUS.

%description -l pl.UTF-8
Biblioteka .NET do używania D-BUS.

%package devel
Summary:	Development .NET library for using D-BUS
Summary(pl.UTF-8):	Programistyczna biblioteka .NET do używania D-BUS
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Development .NET library for using D-BUS.

%description devel -l pl.UTF-8
Programistyczna biblioteka .NET do używania D-BUS.

%prep
%setup -q -n dbus-sharp-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%{_prefix}/lib/mono/gac/dbus-sharp
%{_prefix}/lib/mono/dbus-sharp-1.0

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/dbus-sharp-*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-dbus-sharp.spec,v $
Revision 1.15  2011/02/21 15:29:47  lisu
- restore dbus-monodir.patch and adjust it for current version

Revision 1.14  2011/02/21 15:20:35  lisu
- reverse
- rel 2

Revision 1.13  2011/02/21 14:53:54  lisu
- use _libdir

Revision 1.12  2011/02/21 14:31:55  lisu
- get sources from github

Revision 1.11  2011/02/21 13:27:29  lisu
- up to 0.7.0
- Epoch 1
- package %%doc
- misc changes

Revision 1.10  2010/10/28 18:39:19  megabajt
- release 3

Revision 1.9  2008/07/27 22:25:03  arekm
- release 2

Revision 1.8  2007-05-22 15:54:28  qboosh
- more specific URL

Revision 1.7  2007/05/18 18:20:53  qboosh
- BR: rpmbuild(monoautodeps)

Revision 1.6  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.4  2006/12/12 10:06:16  qboosh
- BR: libtool

Revision 1.3  2006/08/19 14:15:15  qboosh
- updated summaries/descs

Revision 1.2  2006/08/11 21:57:59  freetz
- monodoc ist not required, fixed R in -devel

Revision 1.1  2006/08/11 21:45:20  freetz
- based on dbus.spec, no official tarball yet
